#!/bin/sh

pid="`ps -e | grep speaker-cgi | grep -v grep | awk -F' ' '{print $1}'`"

if [ "foo${pid}" != "foo" ];then
    while [ 1 ]
    do
        echo "-100" > /proc/${pid}/oom_score_adj
        usleep 200000
    done
fi

exit 0